-- vimtex configuration
vim.g.vimtex_view_method = 'zathura'
vim.g.maplocalleader =  ' '
-- Legacy shortcut from my vim-latexsuite days
vim.api.nvim_set_keymap("n", "<Leader>ls", ":VimtexView<CR>", {noremap = true, silent = true, desc = 'View [L]atex Document'})

vim.o.foldmethod = 'expr'
vim.o.foldexpr='vimtex#fold#level(v:lnum)'
vim.o.foldtext='vimtex#fold#text()'
vim.o.spell = true
